/*
 * This file is (c) Copyright Zarafa, The Netherlands, 2007
 *
 * Use of this file and the source contained within it is subject to the
 * license of the package it belongs to. See the LICENSE file in the
 * top-level directory of the package.
 *
 */

#ifndef ECVMIMEUTILS
#define ECVMIMEUTILS

#include <string>
#include <ECLogger.h>
#include <vmime/vmime.hpp>
#include "inetmapi.h"

class ECVMIMESender : public ECSender
{
private:
	vmime::messaging::session*		lpSess;
	vmime::messaging::transport*	lpTransport;

public:
	ECVMIMESender(ECLogger *newlpLogger, std::string strSMTPHost);
	virtual	~ECVMIMESender();

#ifdef DEBUG
	HRESULT printMail(vmime::message *lpVMMessage);
#endif
	HRESULT sendMail(vmime::message *lpVMMessage);
};

/* c-style util functions */
void getShortFilename(std::string& strLongIn, std::string& strShortOut);
void printComponent(vmime::component& comp);
void componentToString(vmime::component& comp, std::string& strOut);

#endif
