/*
 * This file is (c) Copyright Zarafa, The Netherlands, 2007
 *
 * Use of this file and the source contained within it is subject to the
 * license of the package it belongs to. See the LICENSE file in the
 * top-level directory of the package.
 *
 */

#include "platform.h"

// Damn windows header defines max which break C++ header files
#undef max

#include "inputStreamMAPIAdapter.h"
#include "mapidefs.h"

inputStreamMAPIAdapter::inputStreamMAPIAdapter(IStream *lpStream)
{
	this->lpStream = lpStream;
	if(lpStream)
		lpStream->AddRef();
	this->ateof = false;
}

inputStreamMAPIAdapter::~inputStreamMAPIAdapter()
{
	if(lpStream)
		lpStream->Release();
}

const vmime::utility::stream::size_type inputStreamMAPIAdapter::read(value_type* data, const size_type count)
{
	ULONG ulSize = 0;

	lpStream->Read((unsigned char *)data,count,&ulSize);

	if(ulSize != count) {
		
		this->ateof = true;
	}

	return ulSize;
}

void inputStreamMAPIAdapter::reset()
{
	LARGE_INTEGER move;

	move.QuadPart = 0;

	lpStream->Seek(move, SEEK_SET, NULL);
}

const vmime::utility::stream::size_type inputStreamMAPIAdapter::skip(const size_type count) {
	ULARGE_INTEGER ulSize;
	LARGE_INTEGER move;

	move.QuadPart = count;

	lpStream->Seek(move, SEEK_CUR, &ulSize);

	return ulSize.QuadPart;
}

const bool inputStreamMAPIAdapter::eof() const
{
	return this->ateof;
}
