/*
 * This file is (c) Copyright Zarafa, The Netherlands, 2007
 *
 * Use of this file and the source contained within it is subject to the
 * license of the package it belongs to. See the LICENSE file in the
 * top-level directory of the package.
 *
 */

// -*- Mode: C++; -*-
#ifndef MAPIATTACHMENT_H
#define MAPIATTACHMENT_H

#include "vmime/defaultAttachment.hpp"
#include <string>

class mapiAttachment : public vmime::defaultAttachment
{
public:

	mapiAttachment (const vmime::contentHandler &data, const vmime::encoding &enc, const vmime::mediaType &type, const std::string contentid, const vmime::word filename, const vmime::text &desc=vmime::NULL_TEXT);

	void addCharset(vmime::charset ch);

private:

	vmime::word m_filename;
	std::string m_contentid;

	bool m_hasCharset;
	vmime::charset m_charset;

	void generatePart(vmime::bodyPart& part) const;
};

#endif
